import java.util.*;

public class Abcast 

{
    private CoreMessage cm;
    private int operation;
    private int message_status;
    private int priority =0;
    

    public Abcast(CoreMessage cm, int operation)
    {

	this.cm = cm ;
	this.operation = operation;
    }

    public CoreMessage  getCoreMessage()

    {
	return  this.cm;
    }

    public void  setCoreMessage(CoreMessage cm )

    {
	  this.cm = cm ;
    }

    public int getoperation()
    {
	return this.operation;
    }

    public  void setoperation(int operation)
    {
	this.operation = operation;
    }

    public int getmessagestatus()
    {
	return this.message_status;
    }

    public  void setmessagestatus(int message_status)
    {
        this.message_status = message_status;
    }
    public int getpriority()
    {
	return priority;
    }
    public void setpriority(int priority)
    {
	this.priority=priority;
    }

   

}


